# Macro definitions
!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

CPP=cl.exe
CPP_FLAGS=/nologo /MDd /W4 /Gm /GR /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_AFXDLL" /D "_MBCS" /Fo".\Debug\\" /Fd".\Debug\\" /FD /GZ /c 

RSC=rc.exe
RSC_PROJ=/l 0x409 /fo".\Debug\TabSampl.res" /d "_DEBUG" /d "_AFXDLL" 

LINK32=link.exe
LINK32_FLAGS=..\TabFrame.lib /nologo /subsystem:windows /incremental:yes /pdb:".\Debug\TabSampl.pdb" /debug /machine:I386 /out:".\Debug\TabSampl.exe" /pdbtype:sept 
LINK32_OBJS= \
    ".\Debug\MainFrm.obj" \
    ".\Debug\TabDoc.obj" \
    ".\Debug\TabSampl.obj" \
    ".\Debug\TabView.obj" \
    ".\Debug\TabSampl.res" \
    "..\TabFrame.lib"


# Build commands
ALL : "TabFrame" "..\TabSampl.exe"

"..\TabSampl.exe" : ".\Debug\TabSampl.exe" ".\Debug"
    <<tempfile.bat 
    @echo off 
    copy .\Debug\TabSampl.exe ..
<< 
    
"TabFrame" : 
   cd "..\TabFrame"
   $(MAKE) /$(MAKEFLAGS) /F .\TabFrame.mak 
   cd "..\TabSampl"

".\Debug" :
    if not exist ".\Debug/$(NULL)" mkdir ".\Debug"

".\Debug\TabSampl.exe" : ".\Debug" $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

".\Debug\TabSampl.res" : ".\TabSampl.rc" ".\Debug"
    $(RSC) $(RSC_PROJ) ".\TabSampl.rc" 

".\Debug\MainFrm.obj" : ".\MainFrm.cpp" ".\Debug"
    $(CPP) @<<
  $(CPP_FLAGS) ".\MainFrm.cpp"
<<

".\Debug\TabDoc.obj" : ".\TabDoc.cpp" ".\Debug"
    $(CPP) @<<
  $(CPP_FLAGS) ".\TabDoc.cpp"
<<

".\Debug\TabView.obj" : ".\TabView.cpp" ".\Debug"
    $(CPP) @<<
  $(CPP_FLAGS) ".\TabView.cpp"
<<

".\Debug\TabSampl.obj" : ".\TabSampl.cpp" ".\Debug"
    $(CPP) @<<
  $(CPP_FLAGS) ".\TabSampl.cpp" 
<<
