// TabView.h : interface of the CTabSampleView class
//
///////////////////////////////////////////////////////////////////

#if !defined(__TABVIEW_H__)
#define __TABVIEW_H__

class CTabSampleDoc;

class CTabSampleView : public CEditView
{
protected: // create from serialization only
    CTabSampleView();
    DECLARE_DYNCREATE(CTabSampleView)

// Attributes
public:
    CTabSampleDoc* GetDocument();

// Operations
public:

// Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CTabSampleView)
    public:
    virtual void OnDraw(CDC* pDC);  // overridden to draw this view
    virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
    protected:
    //}}AFX_VIRTUAL

// Implementation
public:
    virtual ~CTabSampleView();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
    //{{AFX_MSG(CTabSampleView)
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in TabView.cpp
inline CTabSampleDoc* CTabSampleView::GetDocument()
   { return (CTabSampleDoc*)m_pDocument; }
#endif

#endif 
