VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.1#0"; "COMDLG32.OCX"
Begin VB.Form frmAdd 
   Caption         =   "Add"
   ClientHeight    =   3648
   ClientLeft      =   48
   ClientTop       =   336
   ClientWidth     =   4644
   LinkTopic       =   "Form1"
   ScaleHeight     =   3648
   ScaleWidth      =   4644
   StartUpPosition =   3  'Windows Default
   Begin VB.ListBox lstCoClasses 
      Height          =   1392
      Left            =   420
      TabIndex        =   4
      Top             =   660
      Width           =   4032
   End
   Begin MSComDlg.CommonDialog cmndlg 
      Left            =   0
      Top             =   3120
      _ExtentX        =   677
      _ExtentY        =   677
      _Version        =   327681
   End
   Begin VB.CommandButton cmdFilename 
      Caption         =   "..."
      Height          =   312
      Left            =   4020
      TabIndex        =   1
      Top             =   2220
      Width           =   432
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "&OK"
      Default         =   -1  'True
      Height          =   372
      Left            =   1320
      TabIndex        =   2
      Top             =   2940
      Width           =   912
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   372
      Left            =   2700
      TabIndex        =   3
      Top             =   2940
      Width           =   912
   End
   Begin VB.TextBox txtObject 
      Height          =   312
      Left            =   480
      TabIndex        =   0
      Top             =   2220
      Width           =   3492
   End
   Begin VB.Label lblInfo 
      Alignment       =   2  'Center
      Height          =   372
      Left            =   60
      TabIndex        =   5
      Top             =   120
      Width           =   4512
   End
End
Attribute VB_Name = "frmAdd"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public m_bCancel As Boolean

Public m_sObjectName As String

Private Sub cmdCancel_Click()

    Me.Hide
    
End Sub

Private Sub cmdFilename_Click()

    Dim i As Integer
    
    Dim sFilename As String
    Dim sName As String
    
    Dim tli As TLIApplication
    Dim ti As TypeLibInfo
    
    On Error GoTo cmdFilename_error
    
    cmndlg.ShowOpen
    sFilename = cmndlg.filename
    
    Set tli = New TLIApplication
    
    Set ti = tli.TypeLibInfoFromFile(sFilename)
    
    lstCoClasses.Clear
    
    Debug.Print ti.Guid
    Debug.Print ti.Name
    Debug.Print ti.MajorVersion & "." & ti.MinorVersion
    
    lblInfo.Caption = ti.Guid & "  " & ti.MajorVersion & "." & ti.MinorVersion
    For i = 1 To ti.TypeInfoCount

      sName = ti.TypeInfos.Item(i).Name
Debug.Print "="; sName

  '/* only coclass - ignore anything else */
      If ti.TypeInfos.Item(i).TypeKind = TKIND_COCLASS Then
        Debug.Print sName
        lstCoClasses.AddItem ti.Name & "." & sName
      End If
    Next i
      
    
cmdFilename_exit:
    Exit Sub
    
cmdFilename_error:
    If Err.Number <> cdlCancel Then
      MsgBox Err.Number & " : " & Err.Description
    End If
    Resume cmdFilename_exit
    
End Sub

Private Sub cmdOK_Click()

    Dim o As Object
    
    On Error GoTo cmdOK_error
    
'/* try and create object */
    Set o = CreateObject(txtObject.Text)
    Set o = Nothing
    
'/* success! */
    m_bCancel = False
    m_sObjectName = txtObject.Text
    
    Me.Hide
    
cmdOK_exit:
    Exit Sub
     
cmdOK_error:
    MsgBox Err.Number & " : " & Err.Description & " (cmdOK_Click)"
    Resume cmdOK_exit
    
End Sub



Private Sub Form_Load()

    m_bCancel = True

End Sub


Private Sub lstCoClasses_Click()

    txtObject.Text = lstCoClasses.List(lstCoClasses.ListIndex)
    
End Sub


Private Sub txtObject_Change()

End Sub


